#include "Arduino.h"

class Antrieb
{
    private:
        const int motor_links  = 9;
        const int motor_rechts = 10;
        int  LINKS  = 0;
        int  RECHTS = 0;
    
    public:
        void start()
        {
            pinMode(motor_links,OUTPUT);
            pinMode(motor_rechts,OUTPUT);
            digitalWrite(motor_links,0);
            digitalWrite(motor_rechts,0);
            TCCR1A = (1<<COM1A1) | (0<<COM1A0) | (1<<COM1B1) | (0<<COM1B0) | (0<<COM1C1) | (0<<COM1C0) | (0<<WGM11) | (0<<WGM10);
            TCCR1B = (0<<ICNC1) | (0<<ICES1) | (1<<WGM13) | (0<<WGM12) | (0<<CS12) | (1<<CS11) | (0<<CS10); //Vort. 256, s.S. 125
       
            ICR1=9999;
       
            DDRB |= (1<<PB5); //OCR1A
            DDRB |= (1<<PB6); //OCR1B            
        }
        void setzeLinks(int LINKS)
        {
            OCR1B = LINKS;          
        }
        void setzeRechts(int RECHTS)
        {
            OCR1A = RECHTS;
        }
};
